#ifndef __Texture__
#define __Texture__

#ifndef CORE_DLL 
    #ifdef CORE_BUILD
	    #define CORE_DLL __declspec(dllexport)
    #else
	    #define CORE_DLL __declspec(dllimport)
        #pragma comment(lib, "Core.lib")
    #endif
#endif

#include <string>


class CORE_DLL Texture {
public:
    Texture(const wchar_t* fileName = L"");
    virtual ~Texture();

    const wchar_t* getFileName();
    void setFileName(const wchar_t* fileName);

    void*  getResourceHandle();
    void   setResourceHandle(void* resourceHandle);
    
protected:
    std::wstring _fileName;
    void* _resourceHandle;
};


#endif